MantisBT

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0011671MediaMonkey (current)Skinspublic2014-01-03 09:482014-11-11 17:33
ReporterLudek 
PriorityurgentSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.1 
Target Version4.1.2Fixed in Version4.1.2 
Summary0011671: Glided skin is no longer included within installer and also is not available to download
DescriptionSome users are asking why Glided was removed from the installer 0011667:0039089

What was the reason to remove it in 0010769 ?
If there is a reason then we should at least add Glided to Addons so that it can be downloaded from mediamonkey.com (http://www.mediamonkey.com/addons/browse/appearance/skins/ [^])
TagsNo tags attached.
Fixed in build1706
Attached Filesjpg file icon glided_icon_artifacts.jpg [^] (100,444 bytes) 2014-01-07 12:58

- Relationships
related to 0011667resolvedLudek Skinned Label control is visualy same when disabled 
child of 0010769resolvedpetr Replace Glided skin with MetroMonkey 
child of 0010823closedLudek Non-skinned mode doesn't look right (regression in 4.1.0.1617) 

-  Notes
(0039100)
rusty (administrator)
2014-01-04 21:31

Perhaps we can package it as an addon (v1.0) to be posted to the addons site.
(0039109)
Ludek (developer)
2014-01-06 08:22
edited on: 2014-01-06 08:25

My understanding from Zvezdan's note here 0010769:0039090 is that some of his scripts may rely on the "Glided" skin.

This could be a reason to still bundle this skin with MM, but if you see another reason why to not bundle this skin then let's post it as addon.

(0039118)
rusty (administrator)
2014-01-07 12:58
edited on: 2014-01-07 12:58

The problem is that the skin's icons have some artifacts in MM4.1 (and I suspect that there are probably some missing icons as well). So I suggest creating an MMIP file which I can then post; and if we or one of our users updates it, we can re-include it in the future.

(0039119)
Ludek (developer)
2014-01-07 13:08
edited on: 2014-01-07 13:10

I see, it is child of 0010823 where it was caused by fix of 0000564 (tech: by adding {$R 'Win8DPI.RES'} to the DPR file)

So lets wait until the skin is updated.

(0039250)
zvezdan (updater)
2014-01-15 18:57

Ludek, no, you misunderstood my concerns. My scripts don't rely on Glided skin, but I mentioned it just as an example. If my scripts find, in another example, PlayerSkinNameNew3=Vitreous.msz in MM ini file (which means that Vitreous skin is active) then they will try to load my Vitreous.css file. I have several CSS files that are related to several skins and they share the same filenames.

It was a problem with Metro M (1.4.4) skin because it had the version number in its filename, but it seems that petr already fixed that.

However, unrelated to my scripts, I like the Glided skin and even some users are asking me in e-mail could I send them that skin because they cannot find it with the current version of the program.
(0039579)
Ludek (developer)
2014-02-13 11:54

Resolved as 'no change required', creator of the Glided skin can publish it via Addons section once the skin is fixed.
(0039590)
rusty (administrator)
2014-02-13 13:39

Re-opening. We should post it, or update it and then post it (since Morten is no longer using a Windows machine).

Checking with Stephen if he can take care of this.
(0039594)
stephen_platt (developer)
2014-02-13 14:51
edited on: 2014-02-13 14:52

This is a bug in MM. Glided doesn't have any custom icons, it just uses the default MM icons.

Same problem affects all other skins that don't use custom icons.

(see http://www.mediamonkey.com/forum/viewtopic.php?f=9&t=50934&start=60#p383300 [^] )

(0040243)
Ludek (developer)
2014-05-26 19:09

Fixed the issue with collection icon artifacts in build 4.1.2.1706
Now, the icons from Virteous are used as default icons (if not defined by skinner)


Assigned to Peke to publish the Glided skin to our Addons site.
(0040951)
peke (developer)
2014-11-10 19:46

Skin Uploaded to FTP under Bug can you please check if it can be released.
(0040958)
rusty (administrator)
2014-11-11 00:39

Looks good. Just the name and description should be updated:
Name: Glided Skin
Description: Skin that was bundled until v4.0.7
(0040962)
peke (developer)
2014-11-11 17:33

Corrected String and Skin is uploaded to Addons Site

http://www.mediamonkey.com/addons/browse/item/glided-skin/ [^]


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker